Skip to main content
GET
/
api
/
external
/
buyer
/
{buyerId}
/
summary
Get Buyer Summary
curl --request GET \
  --url https://dashboard.starbridge.ai/api/external/buyer/{buyerId}/summary \
  --header 'Authorization: Bearer <token>'
{
  "buyerId": "<string>",
  "needsRegeneration": true,
  "summary": {
    "whatsRecent": {
      "sections": [
        {
          "title": "<string>",
          "text": "<string>",
          "sources": [
            {
              "entryId": "<string>",
              "triggerId": "<string>",
              "triggerType": "<string>",
              "triggerName": "<string>",
              "entryName": "<string>"
            }
          ]
        }
      ],
      "status": "Standard",
      "intro": "<string>"
    },
    "theBiggerPicture": {
      "sections": [
        {
          "title": "<string>",
          "text": "<string>",
          "sources": [
            {
              "entryId": "<string>",
              "triggerId": "<string>",
              "triggerType": "<string>",
              "triggerName": "<string>",
              "entryName": "<string>"
            }
          ]
        }
      ],
      "status": "Standard",
      "intro": "<string>"
    },
    "areasForDeeperDiscovery": {
      "sections": [
        {
          "title": "<string>",
          "text": "<string>",
          "sources": [
            {
              "entryId": "<string>",
              "triggerId": "<string>",
              "triggerType": "<string>",
              "triggerName": "<string>",
              "entryName": "<string>"
            }
          ]
        }
      ],
      "status": "Standard",
      "intro": "<string>"
    }
  },
  "score": 123,
  "scoreReasoning": "<string>",
  "generatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://hc.starbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Path Parameters

buyerId
string
required

Response

Buyer activity summary grounded in tracked account activity.

buyerId
string
required
needsRegeneration
boolean
required
summary
BuyerSummaryContent · object
score
integer | null
scoreReasoning
string | null
generatedAt
string | null